petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateCubeBoundary

Creates a 2D mesh the is the boundary of a cubic lattice.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateCubeBoundary(DM dm, const PetscReal lower[], const PetscReal upper[], const PetscInt faces[])

Collective on MPI_Comm Many br

### Input Parameters

| comm | - The communicator for the DM object Many br
| lower | - The lower left front corner coordinates Many br
| upper | - The upper right back corner coordinates Many br
| edges | - The number of cells in each direction Many br

### Output Parameter

dm -The DM object Many br

Many br

### Keywords

DM, create

### See Also

DMPlexCreateBoxMesh(), DMPlexCreateSquareBoundary(), DMSetType(), DMCreate()

Level:beginner
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages